from flask import Blueprint, make_response, redirect, render_template, url_for

help_app_bp = Blueprint("help_app", __name__)


@help_app_bp.route("/")
def help():
    return redirect(url_for("help_app.faq"), 302)


@help_app_bp.get("/faq")
def faq():
    props = dict(currentPage="help")
    response = make_response(render_template("help/faq.html", props=props), 200)
    response.headers["Cache-Control"] = "max-age=60, public, stale-while-revalidate=2592000"
    return response
